%define         _state          stable
%define		orgname		libkipi
%define         qtver           4.8.3

Summary:	Kipi library
Summary(pl.UTF-8):	Biblioteka kipi
Name:		kde4-libkipi
Version:	4.14.3
Release:	1
License:	GPL v2+
Group:		X11/Libraries
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	4dd3c5e16297983bfa462d9ddc793dbb
URL:		http://www.kde.org/
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	rpmbuild(macros) >= 1.164
Obsoletes:	libkipi <= 4.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
kipi library.

%description -l pl.UTF-8
Biblioteka kipi.

%package devel
Summary:	Header files for libkipi development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających libkipi
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	kde4-kdegraphics-devel < 4.6.99
Obsoletes:	libkipi-devel <= 4.8.0

%description devel
Header files for libkipi development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających libkipi.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	../
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
        DESTDIR=$RPM_BUILD_ROOT \
        kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kxmlkipicmd
%attr(755,root,root) %ghost %{_libdir}/libkipi.so.??
%attr(755,root,root) %{_libdir}/libkipi.so.*.*.*
%attr(755,root,root) %{_libdir}/kde4/kipiplugin_kxmlhelloworld.so
%{_datadir}/apps/kipi
%{_datadir}/apps/kxmlkipicmd
%{_iconsdir}/hicolor/*x*/apps/*.png
%{_datadir}/kde4/services/kipiplugin_kxmlhelloworld.desktop
%{_datadir}/kde4/servicetypes/kipiplugin.desktop

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libkipi.so
%{_includedir}/libkipi
%{_pkgconfigdir}/libkipi.pc
%changelog
* Fri Nov 14 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-libkipi.git;a=log;h=master

* Fri Nov 14 2014 Jan Rękorajski <baggins@pld-linux.org> 3245c94
- updated to 4.14.3 (by update-kde4.sh)

* Thu Oct 16 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> caee8b3
- up to 4.14.2

* Sun Aug 24 2014 Witold Filipczyk <witekfl@poczta.onet.pl> fd86a63
- http url

* Thu Aug 14 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> ecfc01b
- up to 4.14.0

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> c7d6dec
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> e0af509
- updated to 4.13.1 (by update-kde4.sh)

* Thu Apr 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 669cf47
- up to 4.13.0

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 6759172
- updated to 4.12.4 (by update-kde4.sh)

* Wed Mar 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 4e2d171
- updated to 4.12.3 (by update-kde4.sh)

* Tue Feb 04 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 5fb0b43
- updated to 4.12.2 (by update-kde4.sh)

* Sun Jan 19 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 23f62d2
- updated to 4.12.1 (by update-kde4.sh)

* Thu Dec 12 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> c9da35c
- up to 4.12.0

* Thu Dec 12 2013 Lukasz Masko <lmasko@pld-linux.org> 0cf4700
- Up to 4.11.4.

* Fri Sep 13 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 5bf3073
- up to 4.11.1

* Thu Aug 08 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 2d98e2a
- up to 4.11.0

* Wed Jul 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> a2baa82
- up to 4.10.5

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> c2b6076
- updated to 4.10.4 (by update-kde4.sh)

* Sun May 05 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b24071f
- up to 4.10.3

* Mon Apr 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> f6136d4
- up to 4.10.2

* Fri Mar 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 4ce98e4
- up to 4.10.1

